%define name secondlife
%define version 1.16.0.5
%define snapshot 0
%define beta 0
%if %{snapshot}
%define release %mkrel 0.%{snapshot}.1
%define oname slviewer-src
%define distname %{oname}-%{snapshot}
%else
%define release %mkrel 2
%if %{beta}
%define oname slviewer-src-beta
%else
%define oname slviewer-src
%endif
%define distname %{oname}-%{version}
%endif

Summary: Second Life online 3-D virtual world
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://secondlife.com/developers/opensource/downloads/%{distname}.tar.gz
Patch0: slviewer-src-1.15.0.0-releasefiles.patch
Patch1: slviewer-src-20070108c-cplusplus.patch
Patch2: slviewer-src-beta-1.16.0.5-boost.patch
Patch3: slviewer-src-beta-1.16.0.5-no_fmod.patch
Patch6: slviewer-src-beta-1.14.1.2-ELFIO.patch
Patch7: slviewer-src-beta-1.13.4.7-datapath.patch
Patch8: moz15.patch
License: GPL
Group: Games/Other
Url: http://secondlife.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: SDL-devel
BuildRequires: apr-util-devel
BuildRequires: bison
BuildRequires: boost-devel
BuildRequires: curl-devel
BuildRequires: elfio-devel
BuildRequires: libexpat1-devel
BuildRequires: freetype2-devel
BuildRequires: gtk2-devel
BuildRequires: jpeg-devel
BuildRequires: flex
BuildRequires: libxmlrpc-devel >= 0.51-10pclos2007
BuildRequires: mesaglu-devel
BuildRequires: oggvorbis-devel
BuildRequires: openjpeg-devel
BuildRequires: scons
BuildRequires: zlib-devel
BuildRequires: libfmod-devel
BuildConflicts: freetype-devel
Requires: fonts-ttf-bitstream-vera
Requires: secondlife-artwork
Requires: libexpat1

%description
Second Life is an online 3-D virtual world entirely built and owned by
its residents.

%prep
%setup -q -n linden
%if %{beta}
%patch0 -p1 -b .releasefiles
%endif
%patch1 -p1 -b .cplusplus
%patch2 -p1 -b .boost
#%patch3 -p1 -b .no_fmod
%patch6 -p1 -b .ELFIO
%patch7 -p1 -b .datapath
#%patch8 -p1 -b .nomozlib

perl -pi -e 's/\Qg++-3.4\E/g++/' indra/SConstruct

mkdir libraries/include/expat
ln -s %{_includedir}/expat.h libraries/include/expat
mkdir -p libraries/include/llfreetype2/freetype
ln -s %{_includedir}/ft2build.h libraries/include/llfreetype2/freetype
mkdir libraries/include/jpeglib
ln -s %{_includedir}/{jpeglib,jerror}.h libraries/include/jpeglib
> libraries/include/jpeglib/jinclude.h
mkdir libraries/include/openjpeg
ln -s %{_includedir}/openjpeg.h libraries/include/openjpeg
mkdir libraries/include/xmlrpc-epi
ln -s %{_includedir}/xmlrpc.h libraries/include/xmlrpc-epi
mkdir libraries/include/zlib
ln -s %{_includedir}/zlib.h libraries/include/zlib
 ln -s %{_includedir}/fmod/*.h libraries/include

%build
CLIENT_CPPFLAGS=`pkg-config --cflags gtk+-2.0`
%if %mdkversion < 200710
  CLIENT_CPPFLAGS="$CLIENT_CPPFLAGS -I/usr/include/freetype2 -I/usr/include/libpng12"
%endif
export CLIENT_CPPFLAGS

pushd indra
scons BUILD=release BTARGET=client DISTCC=no MOZLIB=no FMOD=1
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_gamesbindir}
install -m 755 indra/newview/%{name}-*-bin-globalsyms %{buildroot}%{_gamesbindir}/%{name}.bin
install -m 755 indra/newview/linux_tools/wrapper.sh %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}/fonts
pushd indra/newview
  cp -a app_settings skins \
        featuretable.txt gpu_table.txt \
        %{buildroot}%{_gamesdatadir}/%{name}
popd

install -m 644 scripts/messages/message_template.msg %{buildroot}%{_gamesdatadir}/%{name}/app_settings/
ln -s /usr/share/fonts/TTF/Vera.ttf %{buildroot}%{_gamesdatadir}/%{name}/unicode.ttf
ln -s /usr/share/fonts/TTF/Vera.ttf %{buildroot}%{_gamesdatadir}/%{name}/fonts/MtBdLfRg.ttf
ln -s /usr/share/fonts/TTF/Vera.ttf %{buildroot}%{_gamesdatadir}/%{name}/fonts/MtBkLfRg.ttf
ln -s /usr/share/fonts/TTF/Vera.ttf %{buildroot}%{_gamesdatadir}/%{name}/fonts/profontwindows.ttf


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Second Life
Comment=%{Summary}
Exec=soundwrapper %{_gamesbindir}/%{name}
Icon=%{_gamesdatadir}/%{name}/res/ll_icon.ico
Terminal=false
Type=Application
Categories=Game;AdventureGame;X-MandrivaLinux-MoreApplications-Games-Adventure;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc indra/newview/linux_tools/client-readme.txt indra/newview/releasenotes.txt indra/newview/lsl_guide.html
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}.bin
%{_gamesdatadir}/%{name}
%{_datadir}/applications/pclinuxos-%{name}.desktop


%changelog
* Tue Aug 07 2007 Texstar <texstar@gmail.com> 1.16.0.5-2
- build against libexpat1

* Thu May 24 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.16.0.5-1
- 1.16.0.5

* Tue May 01 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.15.0.2-2
- Use mozlib again

* Mon Apr 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.15.0.2-1
- 1.15.0.2
- update summary and description
- add XDG menu entry (now that the game is stable enough)
- use Vera font to replace removed MtBdLfRg/MtBkLfRg/profontwindows fonts
- do not package character, fonts and res-sdl anymore

* Sun Apr 01 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.14.0.0-2
- Rebuild for PCLinuxOS 2007

* Wed Mar 28 2007 Olivier Blin <oblin@mandriva.com> 1.14.0.0-1mdv2007.1
+ Revision: 149324
- 1.14.0.0 (and drop patches merged upstream)

